# $Revision: 1.11 $, $Date: 2005/02/06 09:26:23 $
Summary:	mrxvt - tabbed terminal emulator in an X Window System
Summary(pl):	mrxvt - emulator terminala dla X Window System
Summary(pt_BR):	Um emulador de vt102 colorido
Name:		mrxvt
Version:	0.3.12
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://dl.sourceforge.net/materm/%{name}-%{version}.tar.gz
# Source0-md5:	b24e2e178617cff79994cf24cbada8bf
Source1:	%{name}.desktop
Source2:	%{name}.png
URL:		http://materm.sourceforge.net/
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	utempter-devel
Requires:	terminfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mrxvt is a multi-tabbed color vt102 terminal emulator for X Window
System. It features multi-tab support, fast pseudo-transparent
background, user supplied XPM/JPEG/PNG images for background, tinting,
off-focus fading, text shadow, NeXT/Rxvt/Xterm/SGI/Plain style
scrollbars, XIM and multi-languages (Chinese/Korea/Japanese), and
logging.

Mrxvt does NOT require KDE or GNOME desktop environment.

%description -l pl
Mrxvt to wielozakadkowy emulator terminala kolorowego vt102 dla X
Window System. Obsuguje wiele zakadek, szybkie pseudoprzezroczyste
to, wywietlanie wybranych przez uytkownika obrazkw XPM/JPEG/PNG
jako to, cieniowanie, wygaszanie przy utracie "focusu", cienie
tekstu, paski przewijania w stylu NeXT/Rxvt/Xterm/SGI/Plain, XIM i
wiele jzykw (chiski/koreaski/japoski) oraz logowanie.

Mrxvt NIE wymaga rodowiska KDE ani GNOME.

%prep
%setup -q

%build
export LDFLAGS="%{rpmldflags} -lutempter -L%{_libdir}"
export CFLAGS="%{rpmcflags}"

%configure \
	%{?debug:--enable-debug} \
	--enable-rxvt-scroll \
	--enable-next-scroll \
	--enable-xterm-scroll \
	--enable-transparency \
	--enable-xpm-background \
	--enable-fading \
	--enable-utmp \
	--enable-wtmp \
	--enable-mousewheel \
	--enable-slipwheeling \
	--enable-smart-resize \
	--enable-ttygid \
	--enable-256-color \
	--enable-xim \
	--enable-shared \
	--enable-keepscrolling \
	--enable-xft \
	--disable-xgetdefault \
	--enable-menubar \
	--enable-backspace-key \
	--enable-delete-key \
	--enable-resources  \
	--enable-swapscreen


%{__make}
%{__cc} $CFLAGS doc/settitle.c -o settitle

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}
install settitle $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README README.configure FAQ AUTHORS TODO
%doc doc/README.* doc/TIPS doc/xdefaults-sample.txt doc/xterm.seq doc/menu
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/settitle
%{_mandir}/man1/%{name}.1*
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.png
%{_pixmapsdir}/%{name}-csh.png
%{_pixmapsdir}/%{name}-root.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mrxvt.spec,v $
Revision 1.11  2005/02/06 09:26:23  adamg
- updated to 0.3.12

Revision 1.10  2004/12/12 23:59:25  adamg
- release 2

Revision 1.9  2004/12/12 23:54:25  glen
- add --enable-debug
- disable xgetdefault as multilevel resources don't work with it,
  and therefore hotkey binds fail:
  mrxvt*hotkey.NewTab:   alt+n
  http://tronche.com/gui/x/xlib/appendix/d/XGetDefault.html

Revision 1.8  2004/12/12 19:00:42  glen
- package settitle (read docs what it does)
- package more pixmaps
- remove duplicate --enable-xft
- add menu files to %doc

Revision 1.7  2004/12/12 01:32:57  adamg
- seems ok for me, release 1

Revision 1.6  2004/12/11 21:52:53  adamg
- updated to 0.3.11

Revision 1.5  2004/12/07 16:45:20  adamg
- updated to 0.3.10

Revision 1.4  2004/11/10 15:49:51  adamg
- updated to 0.3.8

Revision 1.3  2004/11/04 20:31:30  adamg
- enable each option explictly, do not use --enable-everything

Revision 1.2  2004/11/01 18:03:00  qboosh
- pl desc

Revision 1.1  2004/11/01 09:35:44  adamg
- new (successor of multi-aterm)
